Автор Тема: Brother HL-L2300DR  (Прочитано 2743 раз)

Оффлайн donnstro

  • Начинающий
  • *
  • Сообщений: 3
    • Email
Brother HL-L2300DR
« : 28.02.2020 10:15:39 »
Добрый день, форумчане. Столкнулся с проблемой настройки принтера HL-L2300DR на P9 Рабочая станция . Суть в чём, по мануалу на оф сайте Brother скачиваю два файла, через консоль устанавливаю RPM пакеты, вроде ничего сложного. Даже принтер выходит в готовность и сразу появляется в принтерах, даже работает! Но не так всё гладко, Alt ругается на эти два пакета и через центр обновлений помечает их на удаление. Висит в ошибке, пока не удалишь. Скриншот ниже:
Спойлер
Как победить эту проблему, помогите. После удаления обоих пакетов принтер автоматически удаляется тоже, замкнутый круг :-D
PS. Команды, по которым отрабатывал установку принтера из под root:
rpm  -ihv  --nodeps hll2300dlpr-3.2.0-1.i386.rpm
rpm  -ihv  --nodeps hll2300dcupswrapper-3.2.0-1.i386.rpm
rpm  -qa  |  grep  -e  hll2300dlpr-3.2.0-1.i386.rpm  -e  hll2300dcupswrapper-3.2.0-1.i386.rpm

Так же, попробывал установить принтер через официальную утилиту "Driver Install Tool" от Brother.
Логи установки:
host-234 Загрузки # bash linux-brprinter-installer-2.2.1-1 HL-L2300DR
You are going to install following packages.
   hll2300dlpr-3.2.0-1.i386.rpm
   hll2300dcupswrapper-3.2.0-1.i386.rpm
OK? [y/N] ->y

dnf install glibc.i686
linux-brprinter-installer-2.2.1-1: строка 2218: dnf: команда не найдена
dnf install libstdc++.i686
linux-brprinter-installer-2.2.1-1: строка 2220: dnf: команда не найдена
rpm -ihv --nodeps --replacefiles --replacepkgs hll2300dlpr-3.2.0-1.i386.rpm
Подготовка...                           ################################################################# [100
Обновление / установка...
1: hll2300dlpr-3.2.0-1                  ################################################################# [100
Running /usr/lib/rpm/posttrans-filetriggers
предупреждение: невозможно получить блокировку разделяемый на /var/lib/rpm/Packages
rpm -ihv --nodeps --replacefiles --replacepkgs hll2300dcupswrapper-3.2.0-1.i386.rpm
Подготовка...                           ################################# [100%]
Обновление / установка...
1: hll2300dcupswrapper-3.2.0-1          ################################# [100%]
lpadmin -p HLL2300D -E -v usb://Brother/HL-L2300D%20series?serial=E73860H9N868232 -P /usr/share/ppd/brother/brher-HLL2300D-cups-en.ppd
предупреждение: невозможно получить блокировку разделяемый на /var/lib/rpm/Packages
Running /usr/lib/rpm/posttrans-filetriggers
#
Will you specify the Device URI? [Y/n] ->n
Test Print? [y/N] ->n
host-234 Загрузки #

Зашел в менеджер пакетов Synaptic, при входе ругнулся на не правильно работающий один пакет. Это и есть тот самый драйвер от Brother для моего принтера. Что делаю не так?( Всю голову уже сломал. Или проблема заключается в не совместимости драйвера с Alt Llinux?
Скриншот окна Synaptic:
Спойлер
« Последнее редактирование: 28.02.2020 11:37:35 от donnstro »

Оффлайн NickM

  • Давно тут
  • **
  • Сообщений: 426
    • Email
Re: Brother HL-L2300DR
« Ответ #1 : 28.02.2020 11:59:01 »
PS. Команды, по которым отрабатывал установку принтера из под root:
rpm  -ihv  --nodeps hll2300dlpr-3.2.0-1.i386.rpm
rpm  -ihv  --nodeps hll2300dcupswrapper-3.2.0-1.i386.rpm

Так Вы выполнили установку без разрешения зависимостей.

Попробуйте с помощью
apt-get install
Например: извлеките/ переместите *.rpm в отдельную папку, в консоли перейдите по пути извлечения/ перемещения и выполните
apt-get install ./*.rpm
и покажите вывод

Оффлайн donnstro

  • Начинающий
  • *
  • Сообщений: 3
    • Email
Re: Brother HL-L2300DR
« Ответ #2 : 28.02.2020 12:19:02 »
и покажите вывод
host-234 tmp # apt-get install ./hll2300dlpr-3.2.0-1.i386.rpm
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Выбрано hll2300dlpr.32bit для './hll2300dlpr-3.2.0-1.i386.rpm'
Некоторые пакеты установить невозможно. Это может означать, что Вы
потребовали невозможного, либо пользуетесь нестабильным репозиторием.
Часть необходимых пакетов либо ещё не создана, либо была удалена
из каталога 'Входящие'.

Так как для выполнения Вашего запроса достаточно одной операции, то
скорее всего этот пакет просто невозможно установить. Сообщите, пожалуйста,
об этом как о найденной ошибке в пакете.
Эти сведения могут помочь найти выход из ситуации:

Следующие пакеты имеют неудовлетворенные зависимости:
  hll2300dlpr.32bit: Требует: perl(Cwd) но пакет не может быть установлен
                     Требует: perl(File::Copy) но пакет не может быть установлен
E: Извините, `битые' пакеты

host-234 tmp # apt-get install ./hll2300dcupswrapper-3.2.0-1.i386.rpm
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Выбрано hll2300dcupswrapper.32bit для './hll2300dcupswrapper-3.2.0-1.i386.rpm'
Некоторые пакеты установить невозможно. Это может означать, что Вы
потребовали невозможного, либо пользуетесь нестабильным репозиторием.
Часть необходимых пакетов либо ещё не создана, либо была удалена
из каталога 'Входящие'.

Так как для выполнения Вашего запроса достаточно одной операции, то
скорее всего этот пакет просто невозможно установить. Сообщите, пожалуйста,
об этом как о найденной ошибке в пакете.
Эти сведения могут помочь найти выход из ситуации:

Следующие пакеты имеют неудовлетворенные зависимости:
  hll2300dcupswrapper.32bit: Требует: hll2300dlpr но пакет не может быть установлен
E: Извините, `битые' пакеты
По поводу ошибки "Битые пакеты". Перекачал драйвера и переместил в другую папку, до этого обращался к папке "Загрузки". Ошибка такая же...

Оффлайн NickM

  • Давно тут
  • **
  • Сообщений: 426
    • Email
Re: Brother HL-L2300DR
« Ответ #3 : 28.02.2020 12:57:36 »
Похожая тема три года назад на форуме уже поднималась - нехватка того же perl'а, https://forum.altlinux.org/index.php?topic=34861.15

Возможно прочитав эту тему Вы сможете найти решение?

А возможно, более опытные участники формума, чуть ниже дадут точный ответ?

Оффлайн donnstro

  • Начинающий
  • *
  • Сообщений: 3
    • Email
Re: Brother HL-L2300DR
« Ответ #4 : 12.03.2020 14:14:43 »
Проблема актуальна еще, так и не победил этот принтер. Нет ни у кого мыслей никаких?

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 779
Re: Brother HL-L2300DR
« Ответ #5 : 12.03.2020 14:49:46 »
у меня подобный девайс работает после перепаковки eepm repack (см. https://www.altlinux.org/Chromium-gost ).
Но по хорошему надо в репу добавить этот модуль perl (или прописать provides существующему), но в альте обычно на это уходит 5-10 лет.

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 779
Re: Brother HL-L2300DR
« Ответ #6 : 16.03.2021 15:38:53 »
1 год прошел  ;-)

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 581
    • Домашняя страница
    • Email
Re: Brother HL-L2300DR
« Ответ #7 : 16.03.2021 21:16:38 »
А номер бага?
Андрей Черепанов (cas@)

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 779
Re: Brother HL-L2300DR
« Ответ #8 : 17.03.2021 22:10:46 »
А номер бага?
созданные мной баги висят без движения, так что лучше сами вешайте.